
Base Distribution - Task # 40786

Story # 40628 (Closed): As any user, I need a Content Module based on semantic technologies (IKS)

Status: Closed Priority: Must have
Author: Sebastian Kurfuerst Category:
Created: 2012-09-10 Assigned To: Sebastian Kurfuerst
Updated: 2012-10-04 Due date:
Subject: HTML Editor does not work transactionally anymore (Edit HTML, do NOT press apply --> changes are 

directly applied)
Description

Associated revisions
Revision df839f65 - 2012-09-11 12:35 - Sebastian Kurfuerst

[BUGFIX] Only initialize Inline Editing for marked properties

Before this change, every tag with a "property" attribute was marked as contenteditable, leading
to lots of initialization overhead in Create.js. Furthermore, properties such as HTML content was
also inline editable.

Now, we only match every property which is marked as t3-inline-editable; a CSS class being added
by the "t3.contentElement.editable" ViewHelper.

Furthermore, we fix the bug that HTML should be only updated after pressing "apply" in inspector.

Resolves: #40786
Change-Id: I8c9471f745a79bd0679201120ffc3f825eb967f4

History
#1 - 2012-09-10 13:29 - Sebastian Kurfuerst
- Priority changed from Should have to Must have

#2 - 2012-09-11 11:49 - Sebastian Kurfuerst
- Assigned To set to Sebastian Kurfuerst

#3 - 2012-09-11 11:56 - Sebastian Kurfuerst
- Status changed from New to Accepted

#4 - 2012-09-11 12:02 - Sebastian Kurfuerst
- Subject changed from Inspector does not work transactionally anymore (Edit HTML, do NOT press apply --> changes are directly applied) to HTML 
Editor does not work transactionally anymore (Edit HTML, do NOT press apply --> changes are directly applied)

#5 - 2012-09-11 12:35 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14513

#6 - 2012-09-11 12:36 - Sebastian Kurfuerst
- Status changed from Accepted to Under Review
#7 - 2012-09-11 13:47 - Sebastian Kurfuerst
- Status changed from Under Review to Resolved
- Estimated time set to 0.00
- Remaining (hours) set to 0.0

#8 - 2012-09-20 15:43 - Sebastian Kurfuerst
- % Done changed from 0 to 100

#9 - 2012-10-04 13:53 - Markus Goldbeck
- Status changed from Resolved to Closed
